<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" is-a="ValidateValueExistenceInList" id="PUBS-ID-00062">
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="ruleText">
        [PUBS-ID-00062][Error]
        If the element QuantityReference has the attribute unitOfMeasureVocabulary 
        with a value of UNECE20 the value of attribute unitOfMeasure must be 
        in CVEnumUNCE20UnitsOfMeasure.xml.
        
        Human Readable: If element QuantityReference attribute unitOfMeasureVocabulary value is UNECE20, then the value of attribute
        unitOfMeasure must be in CVEnumUNCE20UnitsOfMeasure.xml.
    </sch:p>
    
    <sch:p xmlns:ism="urn:us:gov:ic:ism" ism:classification="U" ism:ownerProducer="USA" class="codeDesc">
        This rule uses an abstract pattern to consolidate logic. It checks that the
        value in parameter $searchTerm is contained in the parameter $list. The parameter
        $searchTerm is relative in scope to the parameter $context. The value for the parameter 
        $list is a variable defined in the main document (PUBS_XML.sch), which reads 
        values from a specific CVE file.
    </sch:p>
    
    <sch:param name="ruleText" value="'         [PUBS-ID-00062][Error]         If the element QuantityReference has the attribute unitOfMeasureVocabulary          with a value of UNECE20 the value of attribute unitOfMeasure must be          in CVEnumUNCE20UnitsOfMeasure.xml.         '"/>
    
    <sch:param name="codeDesc" value="'         This rule uses an abstract pattern to consolidate logic. It checks that the         value in parameter $searchTerm is contained in the parameter $list. The parameter         $searchTerm is relative in scope to the parameter $context. The value for the parameter          $list is a variable defined in the main document (PUBS_XML.sch), which reads          values from a specific CVE file.         '"/>
    
    <sch:param name="context" value="cem:QuantityReference[@cem:unitOfMeasureVocabulary='UNECE20']"/>
    <sch:param name="searchTerm" value="@cem:unitOfMeasure"/>
    <sch:param name="list" value="$unce20UnitsOfMeasureList"/>
    <sch:param name="errMsg" value="'         [PUBS-ID-00062][Error]         If the element QuantityReference has the attribute unitOfMeasureVocabulary          with a value of UNECE20 the value of attribute unitOfMeasure must be          in CVEnumUNCE20UnitsOfMeasure.xml.         '"/>
</sch:pattern>