<?xml version="1.0" encoding="UTF-8"?>
<!--UNCLASSIFIED--><?ICEA master?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
    
    <!-- ************************** -->
    <!-- * Namespace declarations * -->
    <!-- ************************** -->
    <sch:ns uri="urn:us:gov:ic:src" prefix="src"/>
    <sch:ns uri="urn:us:gov:ic:id" prefix="icid"/>
    <sch:ns uri="urn:us:gov:ic:tdf" prefix="tdf"/>
    <sch:ns uri="urn:us:gov:ic:intdis" prefix="intdis"/>
    <sch:ns uri="urn:us:gov:ic:ism" prefix="ism"/>
    <sch:ns uri="urn:us:gov:ic:cve" prefix="cve"/>
    <sch:ns uri="urn:us:gov:ic:edh" prefix="edh"/>
    <sch:ns uri="urn:us:gov:ic:virt" prefix="virt"/>
   
   <!-- ************************************** -->
   <!-- * Abstract Rule and Pattern Includes * -->
   <!-- ************************************** -->
   <sch:include href="./Lib/ValidateValidationEnvSchema.sch"/>
   <sch:include href="./Lib/ValidateValidationEnvCVE.sch"/>

    <!-- **************************** -->
    <!-- * General Global Variables * -->
    <!-- **************************** -->
    
    <sch:let name="timeZoneRegEx" value="'Z|[\+-]\d{2}:\d{2}'"/>
    <sch:let name="endsWithTimeZoneRegEx" value="concat('^.*',$timeZoneRegEx,'$')"/>

   <!--****************************-->
<!-- (U) SRC ID Rules -->
<!--****************************-->

<!--(U) TDFConstraints-->
   <sch:include href="./Rules/TDFConstraints/SRC_ID_00002.sch"/>
   <sch:include href="./Rules/TDFConstraints/SRC_ID_00003.sch"/>
   <sch:include href="./Rules/TDFConstraints/SRC_ID_00004.sch"/>

   <!--(U) datesAndTimes-->
   <sch:include href="./Rules/datesAndTimes/SRC_ID_00007.sch"/>

   <!--(U) elementBasedContraints-->
   <sch:include href="./Rules/elementBasedContraints/SRC_ID_00010.sch"/>

   <!--(U) generalConstraints-->
   <sch:include href="./Rules/generalConstraints/SRC_ID_00001.sch"/>
   <sch:include href="./Rules/generalConstraints/SRC_ID_00011.sch"/>
   <sch:include href="./Rules/generalConstraints/SRC_ID_00012.sch"/>
   <sch:include href="./Rules/generalConstraints/SRC_ID_00013.sch"/>
   <sch:include href="./Rules/generalConstraints/SRC_ID_00014.sch"/>
   <sch:include href="./Rules/generalConstraints/SRC_ID_00015.sch"/>
   <sch:include href="./Rules/generalConstraints/SRC_ID_00016.sch"/>
   <sch:include href="./Rules/generalConstraints/SRC_ID_00017.sch"/>
   <sch:include href="./Rules/generalConstraints/SRC_ID_00018.sch"/>
   <sch:include href="./Rules/generalConstraints/SRC_ID_00019.sch"/>
   <sch:include href="./Rules/generalConstraints/SRC_ID_00020.sch"/>

   <!--(U) nonNullConstraints-->
   <sch:include href="./Rules/nonNullConstraints/SRC_ID_00009.sch"/>

   <!--(U) timeZoneIndicators-->
   <sch:include href="./Rules/timeZoneIndicators/SRC_ID_00006.sch"/>

   <!--****************************-->
<!-- (U) SRC Phases -->
<!--****************************--></sch:schema>
<!--UNCLASSIFIED-->
